Skip to main content
`Ctrl`+`K`

# PCGAMGCreateGraph

Creates a graph that is used by the `PCGAMGType` in the coarsening process

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGCreateGraph(PC pc, Mat A, Mat *G)

## Input Parameters

- pc - the `PCGAMG`

- A - the matrix, for any level

## Output Parameter

- G - the graph

## See Also

KSP: Linear System Solvers, `PCGAMGType`, `PCGAMG`, `PCGAMGSetType()`

## Level

advanced

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGCreateGraph_AGG() in src/ksp/pc/impls/gamg/agg.c
PCGAMGCreateGraph_Classical() in src/ksp/pc/impls/gamg/classical.c
PCGAMGCreateGraph_GEO() in src/ksp/pc/impls/gamg/geo.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages